Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 439031

Summary: fails due to permission errors
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: mockAssignee: David Cantrell <dcantrell>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: mebrown, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-26 12:28:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bill Nottingham 2008-03-26 12:13:52 EDT
Description of problem:

[notting@nostromo: ~/prog/rpms/xorg-x11-drv-i810/devel]$ mock -r
fedora-devel-i386 xorg-x11-drv-i810-2.2.1-15.fc9.src.rpm 
INFO: mock.py version 0.9.7 starting...
State Changed: init plugins
State Changed: start
INFO: Start(xorg-x11-drv-i810-2.2.1-15.fc9.src.rpm)  Config(fedora-development-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
ERROR: Could not create dir /var/lib/mock//fedora-development-i386/result.
Error: [Errno 13] Permission denied: '/var/lib/mock//fedora-development-i386/result'
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 61, in mkdirIfAbsent
    os.makedirs(dirName)
  File "/usr/lib64/python2.5/os.py", line 172, in makedirs
    mkdir(name, mode)
OSError: [Errno 13] Permission denied:
'/var/lib/mock//fedora-development-i386/result'
ERROR: Exception(xorg-x11-drv-i810-2.2.1-15.fc9.src.rpm)
Config(fedora-development-i386) 0 minutes 0 seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-development-i386/result
ERROR: Could not create dir /var/lib/mock//fedora-development-i386/result.
Error: [Errno 13] Permission denied: '/var/lib/mock//fedora-development-i386/result'

Version-Release number of selected component (if applicable):

mock-0.9.7-1.fc9.noarch

How reproducible:

Every time.
Comment 1 Bill Nottingham 2008-03-26 12:14:23 EDT
(Yes, I am in the mock group.)
Comment 2 Michael E Brown 2008-03-26 12:24:33 EDT
wrong perms on /var/lib/mock on your machine.

They should be: 

$ ls -la /var/lib/mock
total 24
drwxrwsr-x  3 root mock 4096 2008-03-13 15:11 .
drwxr-xr-x 36 root root 4096 2008-03-20 13:26 ..